org.keycloak.events

## Class EventBuilder

- java.lang.Object
- - org.keycloak.events.EventBuilder

-     public class EventBuilder
      extends Object

  Author:
    Stian Thorgersen

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EventBuilder(List<EventListenerProvider> listeners, RealmModel realm, String ipAddress)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `EventBuilder` | `client(ClientModel client)`
    `EventBuilder` | `client(String clientId)`
    `EventBuilder` | `clone()`
    `EventBuilder` | `detail(String key, String value)`
    `void` | `error(String error)`
    `EventBuilder` | `event(EventType e)`
    `Event` | `getEvent()`
    `EventBuilder` | `ipAddress(String ipAddress)`
    `EventBuilder` | `realm(RealmModel realm)`
    `EventBuilder` | `realm(String realmId)`
    `EventBuilder` | `removeDetail(String key)`
    `EventBuilder` | `reset()`
    `EventBuilder` | `session(String sessionId)`
    `EventBuilder` | `session(UserSessionModel session)`
    `void` | `success()`
    `EventBuilder` | `user(String userId)`
    `EventBuilder` | `user(UserModel user)`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EventBuilder

          public EventBuilder(List<EventListenerProvider> listeners,
                      RealmModel realm,
                      String ipAddress)

  - ### Method Detail

    - #### realm

          public EventBuilder realm(RealmModel realm)

    - #### realm

          public EventBuilder realm(String realmId)

    - #### client

          public EventBuilder client(ClientModel client)

    - #### client

          public EventBuilder client(String clientId)

    - #### user

          public EventBuilder user(UserModel user)

    - #### user

          public EventBuilder user(String userId)

    - #### session

          public EventBuilder session(UserSessionModel session)

    - #### session

          public EventBuilder session(String sessionId)

    - #### ipAddress

          public EventBuilder ipAddress(String ipAddress)

    - #### event

          public EventBuilder event(EventType e)

    - #### detail

          public EventBuilder detail(String key,
                            String value)

    - #### removeDetail

          public EventBuilder removeDetail(String key)

    - #### getEvent

          public Event getEvent()

    - #### success

          public void success()

    - #### error

          public void error(String error)

    - #### clone

          public EventBuilder clone()

      Overrides:
        `clone` in class `Object`

    - #### reset

          public EventBuilder reset()

Copyright © 2014. All Rights Reserved.